/*
 * JCudpp - Java bindings for CUDPP, the CUDA Data Parallel
 * Primitives Library, to be used with JCuda
 *
 * Copyright (c) 2009 Marco Hutter - http://www.jcuda.org
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class jcuda_jcudpp_JCudpp */

#ifndef _Included_jcuda_jcudpp_JCudpp
#define _Included_jcuda_jcudpp_JCudpp
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    setLogLevel
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_jcuda_jcudpp_JCudpp_setLogLevel
  (JNIEnv *, jclass, jint);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppPlanNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/jcudpp/CUDPPConfiguration;JJJ)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppPlanNative
  (JNIEnv *, jclass, jobject, jobject, jlong, jlong, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppDestroyPlanNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppDestroyPlanNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppScanNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;J)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppScanNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppMultiScanNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;JJ)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppMultiScanNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jlong, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppSegmentedScanNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;J)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppSegmentedScanNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppCompactNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;J)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppCompactNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jobject, jobject, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppSortNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;IJ)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppSortNative
  (JNIEnv *, jclass, jobject, jobject, jobject, jint, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppSparseMatrixNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/jcudpp/CUDPPConfiguration;JJLjcuda/Pointer;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppSparseMatrixNative
  (JNIEnv *, jclass, jobject, jobject, jlong, jlong, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppDestroySparseMatrixNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppDestroySparseMatrixNative
  (JNIEnv *, jclass, jobject);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppSparseMatrixVectorMultiplyNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;Ljcuda/Pointer;)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppSparseMatrixVectorMultiplyNative
  (JNIEnv *, jclass, jobject, jobject, jobject);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppRandNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;Ljcuda/Pointer;J)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppRandNative
  (JNIEnv *, jclass, jobject, jobject, jlong);

/*
 * Class:     jcuda_jcudpp_JCudpp
 * Method:    cudppRandSeedNative
 * Signature: (Ljcuda/jcudpp/CUDPPHandle;I)I
 */
JNIEXPORT jint JNICALL Java_jcuda_jcudpp_JCudpp_cudppRandSeedNative
  (JNIEnv *, jclass, jobject, jint);

#ifdef __cplusplus
}
#endif
#endif
